
QGIS Application - Bug report #5013

Unchecking a group in TOC unchecks all layers in it, but layers are not removed from canvas (and 

vice versa)

2012-02-14 09:03 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14789

Description

Subject says it all, tested on master.

In the same way it is possible to check a group and so activate all layers in it, but the layers that were previously not checked are not

rendered in the canvas.

History

#1 - 2012-02-14 11:39 AM - Alexander Bruy

If I understand correctly, this is related to #4762

#2 - 2012-02-16 08:51 AM - Giovanni Manghi

- File giac.ogv added

Alexander Bruy wrote:

If I understand correctly, this is related to #4762

not is the same, see the attached screencast. If is the same please close this ticket.

#3 - 2012-03-30 06:09 AM - Salvatore Larosa

I confirm that the issue still persists!

#4 - 2012-04-02 06:52 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

This is probably related to the optimizations I did about a month ago (speed up of loading projects).

#5 - 2012-04-02 01:13 PM - Marco Hugentobler

- Status changed from Open to Closed
Should be fixed in master 9e15906f063a4947324b68c94ff65e1e9c4e05c1. Please test and reopen if not.

#6 - 2012-04-02 02:28 PM - Salvatore Larosa

Fix ok!

Thanks!

#7 - 2012-04-02 02:35 PM - Giovanni Manghi

- Resolution set to fixed

Marco Hugentobler wrote:

This is probably related to the optimizations I did about a month ago (speed up of loading projects).

Hi Marco,

can this #5240 also be related?

#8 - 2012-04-03 11:19 AM - Marco Hugentobler

The project file loading optimization was not working anymore. I suppose commit c0b720805b5f21b4fc8cb108682b8e8a325e4b98 solves it and probably

also  5240.

Files

giac.ogv 1.23 MB 2012-02-16 Giovanni Manghi
